## txlongpoll 0.3.1+bzr86

=== Makefile ===
# Copyright 2005-2011 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

PYTHON = python

BOOTSTRAP_BIN := bootstrap.py
BOOTSTRAP = PYTHONPATH= $(PYTHON) $(BOOTSTRAP_BIN)

BUILDOUT_BIN := bin/buildout
BUILDOUT_CFG := buildout.cfg
BUILDOUT = PYTHONPATH= $(BUILDOUT_BIN) -qc $(BUILDOUT_CFG)


default: check


build: bin/twistd


# When a built tree is moved this updates absolute paths.
build-update-paths:
	$(BUILDOUT)


check: bin/testpy
	bin/testpy -m subunit/run -- discover


dist: $(BUILDOUT_BIN)
	$(BUILDOUT) setup setup.py egg_info -r sdist


TAGS: bin/tags
	bin/tags --ctags-emacs


tags: bin/tags
	bin/tags --ctags-vi


download-cache:
	mkdir -p download-cache


eggs:
	mkdir -p eggs


$(BUILDOUT_BIN): download-cache eggs
	$(BOOTSTRAP) \
	    --setup-source=download-cache/dist/ez_setup.py \
	    --download-base=download-cache/dist \
	    --eggs=eggs --version=1.5.2
	touch --no-create $@


bin/twistd: $(BUILDOUT_BIN) $(BUILDOUT_CFG) setup.py
	$(BUILDOUT) install runtime


bin/testpy: $(BUILDOUT_BIN) $(BUILDOUT_CFG) setup.py
	$(BUILDOUT) install test


bin/tags: $(BUILDOUT_BIN) $(BUILDOUT_CFG) setup.py
	$(BUILDOUT) install tags


clean_buildout:
	$(RM) -r bin
	$(RM) -r parts
	$(RM) -r develop-eggs
	$(RM) .installed.cfg
	$(RM) -r build
	$(RM) -r dist


clean_eggs:
	$(RM) -r download-cache
	$(RM) -r *.egg-info
	$(RM) -r eggs


clean: clean_buildout
	find txlongpoll twisted -name '*.py[co]' -print0 | xargs -r0 $(RM)

clean_all: clean_buildout clean_eggs


.PHONY: \
    build build-update-paths check clean clean_all clean_buildout \
    clean_eggs default dist

=== debian/changelog ===
txlongpoll (0.3.1+bzr86-0ubuntu3) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:54:23 +0000

txlongpoll (0.3.1+bzr86-0ubuntu2) quantal; urgency=low

  * debian/control: Add missing Depends on python-formencode and python-yaml.
  * Drop 'txlongpoll' binary package, as it only ships an upstart job and
    a config which are not really necessary. (LP: #961389)
    - debian/txlongpoll.{install,upstart}: Drop.
    - debian/control: Drop binary package.
    - debian/rules: Do not override dh_install_init. No longer needed.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 16 Jul 2012 10:46:29 -0400

txlongpoll (0.3.1+bzr86-0ubuntu1) precise; urgency=low

  * Initial release (LP: #954484)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 14 Mar 2012 12:14:31 -0400

=== debian/control ===
Source: txlongpoll
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 8), python (>= 2.7), python-setuptools
Standards-Version: 3.9.3
X-Python-Version: >= 2.7
Homepage: https://launchpad.net/txlongpoll

Package: python-txlongpoll
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-formencode,
         python-oops-amqp,
         python-oops-datedir-repo (>= 0.0.13),
         python-oops-twisted (>= 0.0.3),
         python-twisted,
         python-txamqp (>= 0.5),
         python-yaml,
         python-zope.interface
Description: Long polling HTTP frontend for AMQP
 Long polling HTTP frontend for AMQP.  It is a generic long
 poll server used by Launchpad and Landscape.
 .
 This package contains the python module.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 --buildsystem=python_distutils --no-guessing-deps

override_dh_auto_install:
	dh_auto_install
	dh_install --list-missing

DEB_DEBIAN_DIR=$(dir $(firstword $(MAKEFILE_LIST)))
REV=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
              | sed -rne 's,^Version: .*[+~]bzr([0-9]+).*,\1,p')
VER=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
              | sed -rne 's,^Version: ([^-]+).*,\1,p')
get-orig-source:
	bzr export -r $(REV) --root=txlongpoll-$(VER).orig \
             txlongpoll_$(VER).orig.tar.gz lp:txlongpoll

=== debian/watch ===
version=3
http://launchpad.net/txlongpoll/+download https://launchpad.net/txlongpoll/.*/txlongpoll-(.*).tar.*
